Index: trunk/quest-core-usageprofiles/src/main/java/de/ugoe/cs/quest/usageprofiles/DeterministicFiniteAutomaton.java
===================================================================
--- trunk/quest-core-usageprofiles/src/main/java/de/ugoe/cs/quest/usageprofiles/DeterministicFiniteAutomaton.java	(revision 547)
+++ trunk/quest-core-usageprofiles/src/main/java/de/ugoe/cs/quest/usageprofiles/DeterministicFiniteAutomaton.java	(revision 559)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.quest.usageprofiles;
 
@@ -11,7 +12,7 @@
 /**
  * <p>
- * Implements a Deterministic Finite Automata (DFA) capable of random session
- * generation. It is a special case of a first-order Markov model, where the
- * transition probability is equally high for all following states.
+ * Implements a Deterministic Finite Automata (DFA) capable of random session generation. It is a
+ * special case of a first-order Markov model, where the transition probability is equally high for
+ * all following states.
  * </p>
  * 
@@ -21,60 +22,60 @@
 public class DeterministicFiniteAutomaton extends FirstOrderMarkovModel {
 
-	/**
-	 * <p>
-	 * Id for object serialization.
-	 * </p>
-	 */
-	private static final long serialVersionUID = 1L;
+    /**
+     * <p>
+     * Id for object serialization.
+     * </p>
+     */
+    private static final long serialVersionUID = 1L;
 
-	/**
-	 * <p>
-	 * Constructor. Creates a new DeterministicFiniteAutomaton.
-	 * </p>
-	 * 
-	 * @param r
-	 *            random number generator used by probabilistic methods of the
-	 *            class
-	 */
-	public DeterministicFiniteAutomaton(Random r) {
-		super(r);
-	}
+    /**
+     * <p>
+     * Constructor. Creates a new DeterministicFiniteAutomaton.
+     * </p>
+     * 
+     * @param r
+     *            random number generator used by probabilistic methods of the class
+     */
+    public DeterministicFiniteAutomaton(Random r) {
+        super(r);
+    }
 
-	/**
-	 * <p>
-	 * Calculates the proability of the next state. Each of the following states
-	 * in the automaton is equally probable.
-	 * </p>
-	 * 
-	 * @see de.ugoe.cs.quest.usageprofiles.IStochasticProcess#getProbability(java.util.List,
-	 *      de.ugoe.cs.quest.eventcore.Event)
-	 */
-	@Override
-	public double getProbability(List<Event> context,
-			Event symbol) {
-		if( context==null ) {
-			throw new InvalidParameterException("context must not be null");
-		}
-		if( symbol==null ) {
-			throw new InvalidParameterException("symbol must not be null");
-		}
-		double result = 0.0d;
+    /**
+     * <p>
+     * Calculates the proability of the next state. Each of the following states in the automaton is
+     * equally probable.
+     * </p>
+     * 
+     * @see de.ugoe.cs.quest.usageprofiles.IStochasticProcess#getProbability(java.util.List,
+     *      de.ugoe.cs.quest.eventcore.Event)
+     */
+    @Override
+    public double getProbability(List<Event> context, Event symbol) {
+        if (context == null) {
+            throw new InvalidParameterException("context must not be null");
+        }
+        if (symbol == null) {
+            throw new InvalidParameterException("symbol must not be null");
+        }
+        double result = 0.0d;
 
-		List<Event> contextCopy;
-		if (context.size() >= trieOrder) {
-			contextCopy = new LinkedList<Event>(context.subList(
-					context.size() - trieOrder + 1, context.size()));
-		} else {
-			contextCopy = new LinkedList<Event>(context);
-		}
+        List<Event> contextCopy;
+        if (context.size() >= trieOrder) {
+            contextCopy =
+                new LinkedList<Event>(context.subList(context.size() - trieOrder + 1,
+                                                      context.size()));
+        }
+        else {
+            contextCopy = new LinkedList<Event>(context);
+        }
 
-		Collection<Event> followers = trie.getFollowingSymbols(contextCopy);
+        Collection<Event> followers = trie.getFollowingSymbols(contextCopy);
 
-		if (followers.size() != 0 && followers.contains(symbol)) {
-			result = 1.0d / followers.size();
-		}
+        if (followers.size() != 0 && followers.contains(symbol)) {
+            result = 1.0d / followers.size();
+        }
 
-		return result;
-	}
+        return result;
+    }
 
 }
